<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.github.judgetread</groupId>
    <artifactId>GriefPreventionQuickShopBridge</artifactId>
    <version>1.3.1</version>

    <licenses>
        <license>
            <name>GPL v3 License</name>
            <url>http://www.gnu.org/licenses/</url>
            <distribution>repo</distribution>
        </license>
    </licenses>
    <properties>
        <package>com.github.judgetread.GriefPreventionQuickShopBridge</package>
        <developer>Judgetread</developer>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>
    <issueManagement>
        <url>https://github.com/${developer}/${name}/issues</url>
        <system>GitHub Issues</system>
    </issueManagement>

    <scm>
        <url>https://github.com/${developer}/${project.version}</url>
        <connection>scm:git:git://github.com/${developer}/${project.version}.git</connection>
        <developerConnection>scm:git:git@github.com:${developer}/${project.version}.git</developerConnection>
    </scm>

    <build>
        <finalName>${project.artifactId}</finalName>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.14.1</version>
                <configuration>
                    <source>17</source>
                    <target>17</target>
                    <encoding>UTF-8</encoding>
                    <outputFileName>${project.artifactId}</outputFileName>
                    <!--Use this comments args when compiler is NullPointerException-->
                    <!--<forceJavacCompilerUse>true</forceJavacCompilerUse>-->
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-dependency-plugin</artifactId>
                <version>3.9.0</version>
            </plugin>

        </plugins>
        <resources>
            <resource>
                <filtering>true</filtering>
                <directory>src/main/resources</directory>
            </resource>
        </resources>
    </build>

    <repositories>
        <repository>
            <id>spigot-repo</id>
            <url>https://hub.spigotmc.org/nexus/content/repositories/snapshots/</url>
        </repository>
        <repository>
            <id>vault-repo</id>
            <url>https://jitpack.io</url>
        </repository>
        <repository>
            <id>jitpack.io</id>
            <url>https://jitpack.io</url>
        </repository>
        <repository>
            <id>quickshop-repo</id>
            <url>https://repo.codemc.io/repository/maven-public/</url>
        </repository>
    </repositories>

    <dependencies>
        <dependency>
            <groupId>org.spigotmc</groupId>
            <artifactId>spigot-api</artifactId>
            <version>1.21.5-R0.1-SNAPSHOT</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>com.github.MilkBowl</groupId>
            <artifactId>VaultAPI</artifactId>
            <version>1.7.1</version>
            <scope>provided</scope>
            <exclusions>
                <exclusion>
                    <groupId>org.bukkit</groupId>
                    <artifactId>bukkit</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <version>1.18.42</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.jetbrains</groupId>
            <artifactId>annotations</artifactId>
            <version>26.1.0</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>com.github.TechFortress</groupId>
            <artifactId>GriefPrevention</artifactId>
            <version>18.0.0</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.maxgamer</groupId>
            <artifactId>QuickShop</artifactId>
            <version>5.1.2.5</version>
            <scope>provided</scope>
        </dependency>
    </dependencies>
</project>
